Bug 89559 - NPTL rpm-4.2-1 problem with -K alternate --root
Summary: NPTL rpm-4.2-1 problem with -K alternate --root
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-24 11:25 UTC by Warren Togami
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-09 05:07:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of failure (46.41 KB, text/plain)
2003-04-25 05:11 UTC, Warren Togami
no flags Details

Description Warren Togami 2003-04-24 11:25:45 UTC
https://bugzilla.fedora.us/show_bug.cgi?id=181
Downstream reference

Description of problem:
1. Create alternote rpm --root and install GPG keys there.
2. As root, rpm -K a package signed by an author not within that alternate
--root keyring.

[root@laptop warren]# rpm --root /var/fedora/rpm -K
cryptplug-0.3.15-0.fdr.2.rh90.src.rpm
rpmdb: unable to join the environment
error: db4 error(11) from dbenv->open: Resource temporarily unavailable
error: cannot open Packages index using db3 - Resource temporarily unavailable (11)
error: cannot open Packages database in /var/fedora/rpm/var/lib/rpm
rpmdb: unable to join the environment
error: db4 error(11) from dbenv->open: Resource temporarily unavailable
error: cannot open Packages database in /var/fedora/rpm/var/lib/rpm
cryptplug-0.3.15-0.fdr.2.rh90.src.rpm: (SHA1) DSA sha1 md5 (GPG) NOT OK (MISSING
KEYS: GPG#6b5305f6)

However it works if you disable NPTL.

[root@laptop warren]# LD_ASSUME_KERNEL=2.2.5 rpm --root /var/fedora/rpm -K
cryptplug-0.3.15-0.fdr.2.rh90.src.rpm
cryptplug-0.3.15-0.fdr.2.rh90.src.rpm: (SHA1) DSA sha1 md5 (GPG) NOT OK (MISSING
KEYS: GPG#6b5305f6)

It also works if you are a non-root user.

[warren@laptop warren]$ rpm --root /var/fedora/rpm/ -K
cryptplug-0.3.15-0.fdr.2.rh90.src.rpm
cryptplug-0.3.15-0.fdr.2.rh90.src.rpm: (SHA1) DSA sha1 md5 (GPG) NOT OK (MISSING
KEYS: GPG#6b5305f6)

Version-Release number of selected component (if applicable):
rpm-4.2-1
kernel-2.4.20-9
glibc-2.3.2-27.9

How reproducible:
Always

Summary:
1. Create alternote rpm --root and install GPG keys there.
2. FAIL: As root, rpm -K a package signed by an author not within that alternate
--root keyring.
3. PASS: Try the same thing with NPTL disabled.
4. PASS: Try the same thing with NPTL enabled, but non-root user.

Comment 1 Warren Togami 2003-04-25 05:11:12 UTC
Created attachment 91291 [details]
strace of failure

Comment 2 Warren Togami 2003-09-09 05:07:53 UTC
Haven't experience this in ages.  Probably fixed in rpm-4.2.1.


Note You need to log in before you can comment on or make changes to this bug.